For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rules

Atualizar regra de tabela

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório

ID da tabela

ruleIdstringObrigatório

ID da regra

Respostas
200

Rule updated

application/json
idstringOpcional
database_idstringOpcional
namestringOpcional
titlestringOpcional
activebooleanOpcional
show_columnsbooleanOpcional
show_filtersbooleanOpcional
show_densitybooleanOpcional
show_exportbooleanOpcional
save_search_historybooleanOpcional
allows_multiple_selectionbooleanOpcional
assistantstringOpcional
filter_rule_idstringOpcional
default_sort_field_idstringOpcional
default_sort_directionstringOpcional
status_field_idstringOpcional
default_record_action_idstringOpcional
updated_atstring · date-timeOpcional
put/tables/{tableId}/rules/{ruleId}
PUT /api/b2b/tables/{tableId}/rules/{ruleId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "database_id": "text",
  "name": "text",
  "title": "text",
  "active": true,
  "show_columns": true,
  "show_filters": true,
  "show_density": true,
  "show_export": true,
  "save_search_history": true,
  "allows_multiple_selection": true,
  "assistant": "text",
  "filter_rule_id": "text",
  "default_sort_field_id": "text",
  "default_sort_direction": "text",
  "status_field_id": "text",
  "new_record": {
    "enable": true,
    "description": "text",
    "form_id": "text",
    "form_name": "text"
  },
  "search": {
    "enable": true,
    "enable_suggestion": true,
    "field_placeholder": "text"
  },
  "default_record_action_id": "text",
  "fields": [
    {
      "id": "text",
      "title": "text",
      "name": "text",
      "order": 1,
      "table_id": "text",
      "database_field_id": "text",
      "type": "TIME",
      "rule": "DATE_TIME",
      "aggregate": "SUM",
      "visible": true,
      "enable_sorting": true,
      "enable_search": true,
      "use_as_status": true,
      "field_type": "DATABASE_FIELD",
      "options": [
        {
          "id": "text",
          "value": "text",
          "description": "text",
          "color": "text",
          "order": 1
        }
      ]
    }
  ],
  "actions": {
    "table_type": [
      {
        "id": "text",
        "form_id": "123e4567-e89b-12d3-a456-426614174000",
        "automation_id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "requires_record_selection": true,
        "icon": "CHECKLIST",
        "type": "TABLE",
        "display_rule_groups_logic_operator": "AND"
      }
    ],
    "record_type": [
      {
        "id": "text",
        "form_id": "123e4567-e89b-12d3-a456-426614174000",
        "automation_id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "requires_record_selection": true,
        "icon": "CHECKLIST",
        "type": "TABLE",
        "display_rule_groups_logic_operator": "AND"
      }
    ]
  },
  "updated_at": "2026-01-01T00:00:00.000Z"
}